## python-imageio 2.37.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/imageio.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/imageio.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/imageio"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/imageio"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-imageio 2.1.2+ds1

=== debian/changelog ===
python-imageio (2.1.2+ds1-1) unstable; urgency=medium

  * Switch from git-dpm to gbp
    - Drop git-dpm configuration
    - Unapply patch queue
    - Add gbp configuration
  * New upstream version 2.1.2+ds1
  * Fixup the VCS-Browser URI
  * Fixup the nocheck build profile
    - Mark numpy and pillow b-deps as !nocheck
    - Disable tests when nocheck is requested
  * Run autopkgtests for all supported Python versions

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 28 Feb 2017 15:38:41 +0000

python-imageio (2.1.1+ds1-1) unstable; urgency=low

  * Initial release. (Closes: #769767)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 28 Dec 2016 15:58:58 +0000

=== debian/control ===
Source: python-imageio
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python-all,
               python-numpy <!nocheck>,
               python-pil <!nocheck>,
               python-pytest <!nocheck>,
               python-setuptools,
               python3-all,
               python3-numpy <!nocheck>,
               python3-numpydoc <!nodoc>,
               python3-pil <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               sphinx-common
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/python-imageio.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-imageio.git
Homepage: http://imageio.github.io/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-imageio
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Suggests: python-astropy,
          python-gdal,
          python-imageio-doc
Description: library for reading and writing image data (Python 2)
 Imageio is a Python library that provides an easy interface to read and write
 a wide range of image data, including animated images, video, volumetric data,
 and scientific formats.
 .
 This package provides the library for Python 2.

Package: python3-imageio
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-imageio-doc,
          python3-astropy,
          python3-gdal
Description: library for reading and writing image data (Python 3)
 Imageio is a Python library that provides an easy interface to read and write
 a wide range of image data, including animated images, video, volumetric data,
 and scientific formats.
 .
 This package provides the library for Python 3.

Package: python-imageio-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for imageio
 Imageio is a Python library that provides an easy interface to read and write
 a wide range of image data, including animated images, video, volumetric data,
 and scientific formats.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export IMAGEIO_NO_INTERNET = 1
export PYBUILD_NAME = imageio
ifneq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
export PYBUILD_DISABLE = test
endif

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -N -b html docs build/html
endif

override_dh_installchangelogs:
	dh_installchangelogs docs/releasenotes.rst

=== debian/watch ===
version=4
opts=repacksuffix=+ds1,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,\
uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/imageio/imageio-@ANY_VERSION@@ARCHIVE_EXT@

## python-imageio 2.2.0

=== debian/changelog ===
python-imageio (2.2.0-1) unstable; urgency=medium

  * Fix typo in watch regex
  * New upstream version 2.2.0
  * Repacking is no longer required
  * Drop numbering of the patch queue
    - 0001-Use-system-libraries.patch -> Use-the-system-libraries.patch
  * Fixup the nodoc build profile
  * Build the docs using the upstream Makefile

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sun, 04 Jun 2017 12:01:36 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python-pytest <!nocheck>,
                python-setuptools,
                python3-all,
-               python3-numpy <!nocheck>,
+               python3-numpy <!nocheck> <!nodoc>,
                python3-numpydoc <!nodoc>,
                python3-pil <!nocheck>,
                python3-pytest <!nocheck>,
@@ -32,7 +32,7 @@
          ${python:Depends}
 Suggests: python-astropy,
           python-gdal,
-          python-imageio-doc
+          python-imageio-doc <!nodoc>
 Description: library for reading and writing image data (Python 2)
  Imageio is a Python library that provides an easy interface to read and write
  a wide range of image data, including animated images, video, volumetric data,
@@ -44,7 +44,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}
-Suggests: python-imageio-doc,
+Suggests: python-imageio-doc <!nodoc>,
           python3-astropy,
           python3-gdal
 Description: library for reading and writing image data (Python 3)

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,18 @@
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
 
+override_dh_auto_clean:
+	dh_auto_clean
 ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
+	$(MAKE) -C docs clean
+endif
+
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=. sphinx-build -N -b html docs build/html
+ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
+	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
 endif
 
 override_dh_installchangelogs:

=== debian/tests/control ===
Test-Command: set -e
 ; cp -a tests/* "$AUTOPKGTEST_TMP"
 ; for py in $(pyversions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; IMAGEIO_NO_INTERNET=1 $py -m pytest -v .
 ; done
Depends: python-all,
         python-imageio,
         python-pytest

Test-Command: set -e
 ; cp -a tests/* "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; IMAGEIO_NO_INTERNET=1 $py -m pytest -v .
 ; done
Depends: python3-all,
         python3-imageio,
         python3-pytest

## python-imageio 2.4.1

=== debian/changelog ===
python-imageio (2.4.1-5) unstable; urgency=medium

  * Team upload
  * Cherry-pick upstream commit to handle
    PIL palettes with <256 colors (Closes: #1009457)

 -- Graham Inggs <ginggs@debian.org>  Fri, 22 Apr 2022 11:05:20 +0000

python-imageio (2.4.1-4) unstable; urgency=medium

  * Team upload
  * Cherry-pick upstream commit to handle pillow9 GIFs
  * Switch to debhelper 13
  * Bump Standards-Version to 4.6.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Tue, 18 Jan 2022 10:40:52 +0000

python-imageio (2.4.1-3) unstable; urgency=medium

  * Team upload
  * Xfail new BSDF tests failing on big-endian
  * Stop building python-imageio Python 2 package (Closes: #932680)
  * Add debian/clean to fix FTBFSx2
  * Switch to debhelper 12
  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.4.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Mon, 12 Aug 2019 14:58:47 +0000

python-imageio (2.4.1-2) unstable; urgency=medium

  * Team upload
  * Add test dependencies: python-psutil, python3-psutil

 -- Graham Inggs <ginggs@debian.org>  Tue, 13 Nov 2018 10:46:33 +0000

python-imageio (2.4.1-1) unstable; urgency=medium

  * Team upload.
  * Remove ancient fields X-Python*-Version
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Build-Depends: python-psutil, python-enum34 (for build time tests)
  * Skip tests trying to access remote URLs
  * Skip some tests that are failing in build time test suite
  * Suggests: ffmpeg
    Closes: #893618
  * When using debhelper compat 11 doc is moved to python-imageio
  * Only Python 3 package should provide binary

 -- Andreas Tille <tille@debian.org>  Fri, 14 Sep 2018 20:39:26 +0200

=== debian/control ===
Source: python-imageio
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-all,
               python3-numpy <!nocheck> <!nodoc>,
               python3-numpydoc <!nodoc>,
               python3-pil <!nocheck>,
               python3-psutil <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               sphinx-common
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/python-imageio
Vcs-Git: https://salsa.debian.org/science-team/python-imageio.git
Homepage: http://imageio.github.io/

Package: python3-imageio
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-imageio-doc <!nodoc>,
          python3-astropy,
          python3-gdal,
          ffmpeg
Description: library for reading and writing image data (Python 3)
 Imageio is a Python library that provides an easy interface to read and write
 a wide range of image data, including animated images, video, volumetric data,
 and scientific formats.
 .
 This package provides the library for Python 3.

Package: python-imageio-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for imageio
 Imageio is a Python library that provides an easy interface to read and write
 a wide range of image data, including animated images, video, volumetric data,
 and scientific formats.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/tests/control ===
Test-Command: set -e
 ; cp -a tests/* "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; IMAGEIO_NO_INTERNET=1 $py -m pytest -v .
 ; done
Depends: python3-all,
         python3-imageio,
         python3-psutil,
         python3-pytest

## python-imageio 2.31.1

=== debian/changelog ===
python-imageio (2.31.1-2) unstable; urgency=medium

  * Disable test_8bit_with_16bit_depth that fails on big endian

 -- Ole Streicher <olebole@debian.org>  Tue, 11 Jul 2023 22:47:50 +0200

python-imageio (2.31.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dpkg-dev.
  * Apply multi-arch hints. + python-imageio-doc: Add Multi-Arch: foreign.

  [ Ole Streicher ]
  * New upstream version 2.31.1
  * Remove outdated patches. Rediff remaining patch
  * Push Standards-Version to 4.6.2. No changes needed.
  * Add new build deps py3-fsspec, py3-pydata-sphinx-theme
  * Update non-internet argument for tests
  * Skip tests that require internet connection
  * Skip tests that fail without ffmpeg
  * Skip test that fails for unknown reason
  * Don't install non-existing release notes
  * Add myself to the list of uploaders

 -- Ole Streicher <olebole@debian.org>  Wed, 28 Jun 2023 22:49:55 +0200

## python-imageio 2.31.2

=== debian/changelog ===
python-imageio (2.31.2-1) unstable; urgency=medium

  * Put autogenerated _autosummary into d/clean (Closes: #1047910)
  * New upstream version 2.31.2
  * Drop Skip-tests-that-require-internet-connection.patch: applied upstream

 -- Ole Streicher <olebole@debian.org>  Sat, 26 Aug 2023 15:19:50 +0200

## python-imageio 2.31.3

=== debian/changelog ===
python-imageio (2.31.3-1) unstable; urgency=medium

  * New upstream version 2.31.3

 -- Ole Streicher <olebole@debian.org>  Mon, 04 Sep 2023 12:39:37 +0200

## python-imageio 2.31.5

=== debian/changelog ===
python-imageio (2.31.5-1) unstable; urgency=medium

  * New upstream version 2.31.5
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 02 Oct 2023 09:30:49 +0200

python-imageio (2.31.4-1) unstable; urgency=medium

  * New upstream version 2.31.4
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 25 Sep 2023 08:03:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,27 @@
 Source: python-imageio
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
+Uploaders: Ole Streicher <olebole@debian.org>,
+ Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               dpkg-dev (>= 1.17.14),
                python3-all,
                python3-numpy <!nocheck> <!nodoc>,
                python3-numpydoc <!nodoc>,
+               python3-fsspec <!nocheck>,
                python3-pil <!nocheck>,
                python3-psutil <!nocheck>,
                python3-pytest <!nocheck>,
                python3-setuptools,
+               python3-pydata-sphinx-theme <!nodoc>,
                python3-sphinx <!nodoc>,
                sphinx-common
-Standards-Version: 4.6.0
-Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/python-imageio
 Vcs-Git: https://salsa.debian.org/science-team/python-imageio.git
-Homepage: http://imageio.github.io/
+Homepage: https://imageio.github.io/
+Rules-Requires-Root: no
 
 Package: python3-imageio
 Architecture: all
@@ -38,6 +40,7 @@
 
 Package: python-imageio-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}

## python-imageio 2.34.0

=== debian/changelog ===
python-imageio (2.34.0-1) unstable; urgency=medium

  * New upstream version 2.34.0

 -- Ole Streicher <olebole@debian.org>  Mon, 12 Feb 2024 08:18:25 +0100

python-imageio (2.33.1-1) unstable; urgency=medium

  * New upstream version 2.33.1. Closes: #1056475

 -- Ole Streicher <olebole@debian.org>  Mon, 11 Dec 2023 09:42:15 +0100

python-imageio (2.33.0-1) unstable; urgency=medium

  * New upstream version 2.33.0
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 20 Nov 2023 10:40:28 +0100

## python-imageio 2.34.2

=== debian/changelog ===
python-imageio (2.34.2-1) unstable; urgency=medium

  * New upstream version 2.34.2
  * Rediff patches
  * Push Standards-Version to 4.7.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Mon, 24 Jun 2024 10:29:23 +0200

python-imageio (2.34.1-1) unstable; urgency=medium

  * New upstream version 2.34.1

 -- Ole Streicher <olebole@debian.org>  Mon, 22 Apr 2024 09:36:04 +0200

## python-imageio 2.35.0

=== debian/changelog ===
python-imageio (2.35.0-1) unstable; urgency=medium

  * New upstream version 2.35.0
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 13 Aug 2024 11:00:37 +0200

## python-imageio 2.35.1

=== debian/changelog ===
python-imageio (2.35.1-1) unstable; urgency=medium

  * New upstream version 2.35.1

 -- Ole Streicher <olebole@debian.org>  Mon, 19 Aug 2024 16:19:41 +0200

## python-imageio 2.36.0

=== debian/changelog ===
python-imageio (2.36.0-1) unstable; urgency=medium

  * New upstream version 2.36.0. Closes: #1055158

 -- Ole Streicher <olebole@debian.org>  Mon, 14 Oct 2024 08:54:08 +0200

## python-imageio 2.36.1

=== debian/changelog ===
python-imageio (2.36.1-1) unstable; urgency=medium

  * New upstream version 2.36.1

 -- Ole Streicher <olebole@debian.org>  Thu, 28 Nov 2024 14:56:34 +0100

## python-imageio 2.37.0

=== debian/changelog ===
python-imageio (2.37.0-1) unstable; urgency=medium

  * New upstream version 2.37.0

 -- Ole Streicher <olebole@debian.org>  Mon, 20 Jan 2025 10:35:53 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python3-pydata-sphinx-theme <!nodoc>,
                python3-sphinx <!nodoc>,
                sphinx-common
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/python-imageio
 Vcs-Git: https://salsa.debian.org/science-team/python-imageio.git
 Homepage: https://imageio.github.io/

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export PYBUILD_NAME = imageio
export PYBUILD_TEST_ARGS=-m "not needs_internet"

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C docs clean
endif

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
endif

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/imageio/imageio@ANY_VERSION@@ARCHIVE_EXT@

## python-imageio 2.37.1

=== debian/changelog ===
python-imageio (2.37.1-1) unstable; urgency=medium

  * d/watch: update to format version 5.0, switch upstream to Github
  * New upstream version 2.37.1
  * Rediff patches
  * Push Standards-Version to 4.7.2, no changes needed
  * New B-D pybuild-plugin-pyproject
  * Remove Rules-Requires-Root: no which is now the default

 -- Ole Streicher <olebole@debian.org>  Wed, 22 Oct 2025 21:28:22 +0200

=== debian/control ===
Source: python-imageio
Standards-Version: 4.7.2
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Ole Streicher <olebole@debian.org>,
 Ghislain Antony Vaillant <ghisvail@gmail.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-numpy <!nocheck> <!nodoc>,
 python3-numpydoc <!nodoc>,
 python3-fsspec <!nocheck>,
 python3-pil <!nocheck>,
 python3-psutil <!nocheck>,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-pydata-sphinx-theme <!nodoc>,
 python3-sphinx <!nodoc>,
 sphinx-common,
Vcs-Browser: https://salsa.debian.org/science-team/python-imageio
Vcs-Git: https://salsa.debian.org/science-team/python-imageio.git
Homepage: https://imageio.github.io/

Package: python3-imageio
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-imageio-doc <!nodoc>,
 python3-astropy,
 python3-gdal,
 ffmpeg,
Description: library for reading and writing image data (Python 3)
 Imageio is a Python library that provides an easy interface to read and write
 a wide range of image data, including animated images, video, volumetric data,
 and scientific formats.
 .
 This package provides the library for Python 3.

Package: python-imageio-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: documentation for imageio
 Imageio is a Python library that provides an easy interface to read and write
 a wide range of image data, including animated images, video, volumetric data,
 and scientific formats.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/tests/control ===
Test-Command: set -e
 ; cp -a tests/* "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v -m "not needs_internet" .
 ; done
Depends: @, python3-all, python3-psutil, python3-pytest, python3-fsspec

=== debian/watch ===
Version: 5
Template: Github
Owner: imageio
Project: imageio

## python-imageio 2.37.2

=== debian/changelog ===
python-imageio (2.37.2-1) unstable; urgency=medium

  * New upstream version 2.37.2
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 10 Nov 2025 08:59:43 +0100
